### Class

# Clutter Action

#### Description [src]

    abstract class Clutter.Action : Clutter.ActorMeta
    {
      /* No available fields */
    }

Abstract class for event-related logic

`ClutterAction` is an abstract base class for event-related actions that modify the user interaction of a `ClutterActor`, just like `ClutterConstraint` is an abstract class for modifiers of an actor’s position or size.

Implementations of `ClutterAction` are associated to an actor and can provide behavioral changes when dealing with user input - for instance drag and drop capabilities, or scrolling, or panning - by using the various event-related signals provided by `ClutterActor` itself.

#### Ancestors

- ClutterActorMeta
- GInitiallyUnowned
- GObject

#### Descendants

- ClutterClickAction
- ClutterGesture
- ClutterGestureAction

#### Instance methods

###### clutter_action_get_phase

No description available.

##### Methods inherited from ClutterActorMeta (5)

###### clutter_actor_meta_get_actor

Retrieves a pointer to the `ClutterActor` that owns `meta`.

###### clutter_actor_meta_get_enabled

Retrieves whether `meta` is enabled.

###### clutter_actor_meta_get_name

Retrieves the name set using `clutter_actor_meta_set_name()`.

###### clutter_actor_meta_set_enabled

Sets whether `meta` should be enabled or not.

###### clutter_actor_meta_set_name

Sets the name of `meta`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from ClutterActorMeta (3)

###### Clutter.ActorMeta:actor

The `ClutterActor` attached to the `ClutterActorMeta` instance.

###### Clutter.ActorMeta:enabled

Whether or not the `ClutterActorMeta` is enabled.

###### Clutter.ActorMeta:name

The unique name to access the `ClutterActorMeta`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterActionClass {
      gboolean (* handle_event) (
        ClutterAction* action,
        const ClutterEvent* event
      );
      void (* sequence_cancelled) (
        ClutterAction* action,
        ClutterInputDevice* device,
        ClutterEventSequence* sequence
      );
      gboolean (* register_sequence) (
        ClutterAction* self,
        const ClutterEvent* event
      );
      int (* setup_sequence_relationship) (
        ClutterAction* action_1,
        ClutterAction* action_2,
        ClutterInputDevice* device,
        ClutterEventSequence* sequence
      );

    }

The ClutterActionClass structure contains only private data.

###### Class members

`handle_event: gboolean (* handle_event) ( ClutterAction* action, const ClutterEvent* event )`

  No description available.

`sequence_cancelled: void (* sequence_cancelled) ( ClutterAction* action, ClutterInputDevice* device, ClutterEventSequence* sequence )`

  No description available.

`register_sequence: gboolean (* register_sequence) ( ClutterAction* self, const ClutterEvent* event )`

  No description available.

`setup_sequence_relationship: int (* setup_sequence_relationship) ( ClutterAction* action_1, ClutterAction* action_2, ClutterInputDevice* device, ClutterEventSequence* sequence )`

  No description available.

#### Virtual methods

###### Clutter.ActionClass.handle_event

No description available.

###### Clutter.ActionClass.register_sequence

No description available.

###### Clutter.ActionClass.sequence_cancelled

No description available.

###### Clutter.ActionClass.setup_sequence_relationship

No description available.